SAS® 9.2 Support for Additional Software Products

This page contains the minimum version requirements for additional third party software products that can be used with SAS 9.2. It is possible to use updated versions of third party software listed below. See SAS Third Party Software Requirements - Baseline and Higher Support for more details.

Eclipse Development Environments

The following table identifies Eclipse Development Environments required for SAS AppDev Studio Eclipse Plug-ins.

Platform SAS AppDev Studio Eclipse Plug-ins Version Eclipse SDK Version Link Notes
Windows 3.4 3.4.2 Download

Eclipse IDE for Java EE Developers bundle

This bundle contains tools for Java developers creating Java EE and Web applications, including a Java IDE, tools for Java EE and JSF, Mylyn and others.

Note: Java Runtime Environment 1.5.0_15 or greater is required. See the Eclipse IDE for Java EE Developers System Requirements.

JUnit

Certain SAS 9.2 products require the installation of JUnit when used with SAS Deployment Tester

Platform Version Link
All SAS 9.2 Supported Platforms 4.0 Download

Platform Suite for SAS®

Certain SAS 9.2 products require the installation of Platform Suite for SAS when they are used with SAS scheduling or SAS® Grid Manager.

Platform Version Link Notes
All SAS 9.2 Supported Platforms 4.1 Instructions Platform Suite for SAS contains the following:
  • Platform Process Manager, version 7.00
  • Platform LSF, version 7.02
  • Platform GMS, version 7.00

ESRI ArcGIS

Certain SAS 9.2 products require the installation of ESRI ArcGIS for the Java Platform.

Platform Version Link
All SAS 9.2 Supported Platforms ArcGIS 9.2 SP5 or higher ESRI ArcGIS

WebDAV Servers

WebDAV functionality is provided to the SAS Web applications and solutions in SAS 9.2 by the SAS Content Server. The third party WebDAV servers that were supported for SAS 9.1.3, Xythos WFS and Apache HTTP Server, are not supported for SAS 9.2.

For more information about the SAS Content Server, see "Administering the SAS Content Server" in the SAS 9.2 Intelligence Platform: Web Application Administration Guide that is available from the SAS Intelligence Platform Web site.

X11 Servers

Certain SAS 9.2 products require the installation availability of X11 servers. In particular, an X11 server must be accessible when running the SAS Deployment Wizard and the SAS Download Manager on a Z/OS mainframe. At many sites, this software is already available and running on a UNIX and/or Windows system. X11 software is available from commercial and shareware sites. SAS is providing the links below as examples.

Platform Link Notes
All SAS 9.2 Supported Platforms Xming If you use Xming, you must set the host name of your z/OS box in the X0.hosts file in the Xming install directory, and then start Xming before starting either esdclient.zos or setup.rexx on z/OS.
All SAS 9.2 Supported Platforms Cygwin/X (not tested with download tools)
All SAS 9.2 Supported Platforms Exceed Freedom From Open Text Connectivity Solutions Group (formerly known as Hummingbird)
All SAS 9.2 Supported Unix Platforms   An X11 server is typically delivered with the system. Ensure you have connectivity between the Unix and Z/OS system using TCP/IP or other networking protocols.